### Method

# Gtk ListStoreinsert

deprecated: 4.10

#### Declaration [src]

    void
    gtk_list_store_insert (
      GtkListStore* list_store,
      GtkTreeIter* iter,
      int position
    )

#### Description [src]

Creates a new row at `position`. `iter` will be changed to point to this new row. If `position` is -1 or is larger than the number of rows on the list, then the new row will be appended to the list. The row will be empty after this function is called. To fill in values, you need to call `gtk_list_store_set()` or gtk_list_store_set_value().

Deprecated since: 4.10

Use list models.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  An unset `GtkTreeIter` to set to the new row.

  The argument will be set by the function.
  The data is owned by the instance.

`position`

  Type: `int`

  Position to insert the new row, or -1 for last.